﻿using System;
using System.Windows.Forms;

namespace Practica_2
{
    /// <summary>
    /// Класс формы для выполнения вычислений по заданной формуле
    /// </summary>
    public partial class PraktikRab2 : Form
    {
        public PraktikRab2()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Обработчик события загрузки формы. Устанавливает значения по умолчанию для полей ввода.
        /// </summary>
        /// <param name="sender">Объект, инициировавший событие</param>
        /// <param name="e">Аргументы события</param>
        private void Form1_Load(object sender, EventArgs e)
        {
            tbForX.Text = "12,3e-1";
            tbForY.Text = "15,4";
        }

        /// <summary>
        /// Обработчик нажатия на кнопку "Вычислить". Считывает значения из полей ввода, вычисляет результат и выводит его в окно вывода.
        /// </summary>
        /// <param name="sender">Объект, инициировавший событие</param>
        /// <param name="e">Аргументы события</param>
        private void btRaschet_Click(object sender, EventArgs e)
        {
            //считывание
            double x = double.Parse(tbForX.Text);
            // Вывод значения X в окно
            tbOknoVyvoda.Text += Environment.NewLine +
                "X = " + x.ToString();

            // Считывание значения Y
            double y = double.Parse(tbForY.Text);
            // Вывод значения Y в окно
            tbOknoVyvoda.Text += Environment.NewLine +
                "Y = " + y.ToString();

            //вычисление
            double a = Math.Pow(Math.Abs(y - 2) + 3, 1 / 3); 
            double b = (x + (y / 2));
            double c = 2 * Math.Abs(1 + y);
            double f = x + 1;
            //Вычисление z
            double z = a + (b / c) * f;
            tbOknoVyvoda.Text += Environment.NewLine + "Результат z = " + z.ToString();
        }
    }
}